Page MenuHomePhabricator

mw.ForeignStructuredUpload.BookletLayout's DateInputWidget should have better default value
Closed, ResolvedPublic

Event Timeline

Prtksxna created this task.Oct 19 2015, 2:05 PM
Prtksxna raised the priority of this task from to Normal.
Prtksxna updated the task description. (Show Details)
Prtksxna added projects: Design, Multimedia.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptOct 19 2015, 2:05 PM

M53 has some ideas which I've never gotten 'round to implementing (and, to be honest, which I didn't really like).

M53 has some ideas which I've never gotten 'round to implementing (and, to be honest, which I didn't really like).

I too think that it is slightly out of place. If we are providing today, we might as well add tomorrow and yesterday, and that sort of beats the point of the calendar widget and makes it cluttered too.

In the context of improving mw.ForeignStructuredUpload.BookletLayout we could use the lastModifiedDate of the file to pre-fill this field: https://gerrit.wikimedia.org/r/247513

@Pginer-WMF, does that sound like a better idea?

Pginer-WMF added a comment.EditedOct 20 2015, 1:08 PM

In the context of improving mw.ForeignStructuredUpload.BookletLayout we could use the lastModifiedDate of the file to pre-fill this field: https://gerrit.wikimedia.org/r/247513
@Pginer-WMF, does that sound like a better idea?

That is definitely a good idea. In essence my proposal was about facilitate the date input by surfacing likely values more. We may still want to facilitate things when that information is missing or may be wrong, but that may be less critical if it is more of an edge case.

Jut to clarify, the idea of facilitating the selection of today as a usual value does not necessarily require adding more controls as the ticket description suggests. Some possible ideas include to select the present day as the user focus on the control, or using a link as a quick action in the placeholder ("Select today or another date").

That is definitely a good idea. In essence my proposal was about facilitate the date input by surfacing likely values more. We may still want to facilitate things when that information is missing or may be wrong, but that may be less critical if it is more of an edge case.

Cool. We should have a lastModified on all files, even if its wrong.

Prtksxna renamed this task from Make it easier to select today in mw.widgets.DateInputWidget to mw.ForeignStructuredUpload.BookletLayout's DateInputWidget should have better default value.Oct 20 2015, 1:25 PM
Prtksxna updated the task description. (Show Details)
Prtksxna set Security to None.

Change 247513 had a related patch set uploaded (by Prtksxna):
mw.ForeignStructuredUpload.BookletLayout: Use lastModified as default date

https://gerrit.wikimedia.org/r/247513

Prtksxna claimed this task.Oct 20 2015, 3:02 PM
Prtksxna moved this task from Untriaged to Needs code review on the Multimedia board.
Esanders added a subscriber: Esanders.

lastModified is an improvment but we should use the EXIF data if it is available.

lastModified is an improvment but we should use the EXIF data if it is available.

Updated the patch to use EXIF where available.

matmarex closed this task as Resolved.Dec 28 2015, 7:33 PM
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptDec 28 2015, 7:33 PM

Change 247513 merged by jenkins-bot:
mw.ForeignStructuredUpload.BookletLayout: Use lastModified or EXIF date

https://gerrit.wikimedia.org/r/247513